#include <Stepper.h>

// set the number of steps of the motor 
#define STEPS 2048

// define the pins of the motor
// Motor 28BYJ-48 Windungen: Pins 1-5-3, 2-5-4. 5:VDD
// Evtl. mit Logikanalysator Phase prüfen, Ziel: IN1 = /IN3, IN2 = /IN4
#define IN1 2
#define IN2 4
#define IN3 3
#define IN4 5

float val;          // Anzahl zu übergebender Schritte

// create an instance of the stepper class
Stepper stepmotor(STEPS, IN1, IN2, IN3, IN4); // wndg groups 6-8 and 7-9 (!)

// bei Stillstand Strom durch alle Windungen abschalten
void standby(void) {  // Motor soll nicht heiß werden
  digitalWrite(IN1,0);
  digitalWrite(IN2,0);
  digitalWrite(IN3,0);
  digitalWrite(IN4,0);
}


//////////////////////////////////////////////////////////////////

void setup() {
  // maximal 5 rpm, sonst Anlaufprobleme
  stepmotor.setSpeed(5);    // führt auf 42,6Hz
}

void loop() {
  // move the number of steps  
  stepmotor.step(-200);
  standby();
  delay(500);
  stepmotor.step(200);
  standby();
  delay(500);
}

